Bug 224898 - New port: devel/ros-urdfdom URDF parsers for ROS
Summary: New port: devel/ros-urdfdom URDF parsers for ROS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on: 224897
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-04 14:11 UTC by Trenton Schulz
Modified: 2019-09-25 05:22 UTC (History)
2 users (show)

See Also:


Attachments
sharfile for devel/ros-urdfdom (2.15 KB, text/plain)
2018-01-04 14:11 UTC, Trenton Schulz
no flags Details
Updated sharfile (2.26 KB, text/plain)
2019-09-17 10:35 UTC, Trenton Schulz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Trenton Schulz 2018-01-04 14:11:18 UTC
Created attachment 189399 [details]
sharfile for devel/ros-urdfdom

The corresponding tools parts for URDF.
Comment 1 Trenton Schulz 2019-09-17 10:35:21 UTC
Created attachment 207560 [details]
Updated sharfile

Updated sharfile to work with newer ports and software versions.
Comment 2 Kurt Jaeger freebsd_committer 2019-09-25 05:22:04 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2019-09-25 05:22:54 UTC
A commit references this bug:

Author: pi
Date: Wed Sep 25 05:21:54 UTC 2019
New revision: 512769
URL: https://svnweb.freebsd.org/changeset/ports/512769

Log:
  New port: devel/ros-urdfdom

  The URDF (U-Robot Description Format) library provides core data
  structures and a simple XML parsers for populating the class data
  structures from an URDF file.

  WWW: https://wiki.ros.org/urdf

  PR:		224898
  Submitted by:	Trenton Schulz <trenton@norwegianrockcat.com>

Changes:
  head/devel/Makefile
  head/devel/ros-urdfdom/
  head/devel/ros-urdfdom/Makefile
  head/devel/ros-urdfdom/distinfo
  head/devel/ros-urdfdom/pkg-descr
  head/devel/ros-urdfdom/pkg-plist